Bug 770357 - default config file for mailx is missing
Summary: default config file for mailx is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt
Version: 6.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: 6.3
Assignee: Denys Vlasenko
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: ABRTF17
TreeView+ depends on / blocked
 
Reported: 2011-12-26 06:49 UTC by prashant ingale
Modified: 2018-11-28 21:02 UTC (History)
8 users (show)

Fixed In Version: abrt-2.0.8-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 07:04:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0841 normal SHIPPED_LIVE Low: abrt, libreport, btparser, and python-meh security and bug fix update 2012-06-19 19:29:03 UTC

Description prashant ingale 2011-12-26 06:49:54 UTC
Description of problem:
abrt email notification is not working.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 6+


Steps to Reproduce:
edit a file /etc/libreport/events.d/mailx_event.conf

EVENT=report_Mailx      reporter-mailx
EmailTo={custom_address}
  
Actual results:
 Email should sent to root@localhost

Expected results:
 Email should sent to custom_address

Additional info:

Mail still sending to root@localhost
logs:
Dec 20 12:14:30 devapptmpl1 abrtd: Directory 'ccpp-2011-12-20-12:14:30-2417' creation detected
Dec 20 12:14:33 devapptmpl1 abrtd: Sending an email...
Dec 20 12:14:33 devapptmpl1 abrtd: Email was sent to: root@localhost

Comment 1 Michal Toman 2012-01-02 09:10:37 UTC
You need to create a separate config file for mailx (eg. /etc/libreport/events/report_Mailx.conf), specify whatever options you want there and edit mailx_event.conf:
EVENT=report_Mailx      reporter-mailx -c {config_file}

Comment 2 Jiri Moskovcak 2012-01-03 12:43:01 UTC
abrt 2.0.4-14 which is in rhel6.2 contains that by default, can you please provide output of:

rpm -q abrt

Comment 7 Denys Vlasenko 2012-01-12 12:33:43 UTC
Fixed in git:

commit 36d4595106c8477e4e1f42a672638677764878ec
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Thu Jan 12 13:30:02 2012 +0100

    reporter-mailx: read /etc/libreport/plugins/mailx.conf by default

    Package a default mailx.conf with all parameters commented out.
    While at it, expand reporter-mailx --help

Comment 9 Jesse 2012-03-28 20:56:51 UTC
Hello,

I would like to comment that this is not found in abrt-2.0.4-14.el6.x86_64.

Nor does the mentioned workaround work for this version

Modified /etc/libreport/events.d/mailx_event.conf.

EVENT=report_Mailx      reporter-mailx -c /etc/libreport/plugins/mailx.conf

Config /etc/libreport/plugins/mailx.conf created:

Mailx_EmailFrom = root@<domain>
Mailx_EmailTo = <me>@<domain>

I've tried variations omiting the Mailx_ portion and with/without quotes etc.

Please let me know if I'm missing something and ty for any time devoted to this matter.

Jesse

Comment 10 Jiri Moskovcak 2012-03-29 07:50:04 UTC
(In reply to comment #9)
> Hello,
> 
> I would like to comment that this is not found in abrt-2.0.4-14.el6.x86_64.
> 
> Nor does the mentioned workaround work for this version
> 
> Modified /etc/libreport/events.d/mailx_event.conf.
> 
> EVENT=report_Mailx      reporter-mailx -c /etc/libreport/plugins/mailx.conf
> 
> Config /etc/libreport/plugins/mailx.conf created:
> 
> Mailx_EmailFrom = root@<domain>
> Mailx_EmailTo = <me>@<domain>
> 
> I've tried variations omiting the Mailx_ portion and with/without quotes etc.
> 
> Please let me know if I'm missing something and ty for any time devoted to this
> matter.
> 
> Jesse

- it depends on what do you want to achieve, if you want to use the mailx when you're reporting something manually then your solution should work

- if you want to make abrt to send the mail automatically when the crash happens then the line in /etc/libreport/events.d/mailx_event.conf should be like this:

EVENT=post-create  reporter-mailx -c /etc/libreport/plugins/mailx.conf

- note the EVENT=post-create part, post-create means right after the crash is detected
- if you're interested in details you can find more detailed description here: http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html-single/Deployment_Guide/#sect-abrt-configuration-events (it takes a while to load, but it will eventually ;))

Comment 11 Jesse 2012-03-29 16:42:53 UTC
Hello Jiri,

Ty for the response. :)

I had tried this prior to posting without success.

I even removed in case it did not support comments.

#EVENT=report_Mailx      reporter-mailx -c /etc/libreport/plugins/mailx.conf
EVENT=post-create       reporter-mailx -c /etc/libreport/plugins/mailx.conf

Jesse

Comment 14 errata-xmlrpc 2012-06-20 07:04:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0841.html


Note You need to log in before you can comment on or make changes to this bug.